package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 权限表
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-03
 */
@TableName("sys_permission")
data class SysPermission(
        /**
         * 权限名称
         */
        var name: String? = null,
        /**
         * 权限代码
         */
        var code: Int? = null,
        /**
         * 上级菜单ID
         */
        var parentId: Long? = null,
        /**
         * 权限描述
         */
        var description: String? = null,
        /**
         * 所属菜单ID
         */
        var menuId: String? = null
) : BaseModel() {
}
