package com.gxzc.zen.api.bus.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 电子档案文件
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-03
 */
@TableName("mgr_archives_electronic_record")
data class MgrArchivesElectronicRecord(
        /**
         * 文件id（mgr_archives_document表的id）
         */
        var documentId: Long? = null,
        /**
         * 电子文件标题
         */
        var electronicRecordTitle: String? = null,
        /**
         * 挂接配置名
         */
        var connectConfigureName: String? = null
) : BaseModel() {
}
